aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorDavid Shah <dave@ds0.me>2019-06-26 18:17:52 +0100
committerDavid Shah <dave@ds0.me>2019-06-26 18:46:22 +0100
commit71b046d63996a1813375e56f44543e58eb7e1b5e (patch)
tree12bc7e571bd9426da76b95c084a6a5f7f58e2dab /tests
parent0d2b87e3ed9bacae7d44d27a4712e56ca03c8dd3 (diff)
downloadyosys-71b046d63996a1813375e56f44543e58eb7e1b5e.tar.gz
yosys-71b046d63996a1813375e56f44543e58eb7e1b5e.tar.bz2
yosys-71b046d63996a1813375e56f44543e58eb7e1b5e.zip
tests: Check that Icarus can parse arch sim models
Signed-off-by: David Shah <dave@ds0.me>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/arch/run-test.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/arch/run-test.sh b/tests/arch/run-test.sh
new file mode 100755
index 000000000..fc4175be8
--- /dev/null
+++ b/tests/arch/run-test.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -e
+
+echo "Running syntax check on arch sim models"
+for arch in ../../techlibs/*; do
+ find $arch -name cells_sim.v -print0 | xargs -0 -n1 -r iverilog -t null -I$arch
+done